Package pyxmpp :: Package jabber :: Module vcard :: Class VCardField

[hide private]

# Class VCardField

source code

Known Subclasses:
  - VCardAdr
  - , VCardCategories
  - , VCardEmail
  - , VCardGeo
  - , VCardImage
  - , VCardJID
  - , VCardKey
  - , VCardLabel
  - , VCardName
  - , VCardOrg
  - , VCardPrivacy
  - , VCardSound
  - , VCardString
  - , VCardTel

Base class for vCard fields.

Instance Methods | [hide private]

__init__(self, name) Initialize a VCardField object. | source code

__repr__(self) | source code

`str`

rfc2426(self) RFC2426-encode the field content. | source code

Instance Variables | [hide private]

| name : name of the field.

Method Details | [hide private]

### __init__(self, name)
(Constructor)

source code

Initialize a VCardField object.

Set its name.

Parameters:
  - `name` (: `str`) - : field name

### rfc2426(self)

source code

RFC2426-encode the field content.

Returns: `str`
  the field in the RFC 2426 format.